    deferred class
    	EV_APPLICATION_I

    Ancestors
    	EV_ANY_I*
    	EV_APPLICATION_ACTION_SEQUENCES_I*
    	EXCEPTIONS

    Descendants
    	EV_APPLICATION_IMP

    Clients
    	EV_ABSTRACT_PICK_AND_DROPABLE*
    	EV_APPLICATION
    	EV_APPLICATION_I*
    	EV_DIALOG_I*
    	EV_DOCKABLE_TARGET_I*
    	EV_SHARED_TRANSPORT_I
    	EV_WIDGET_I*
    	EV_WINDOW_I*

    Suppliers
    	ACTION_SEQUENCE [EVENT_DATA -> TUPLE create default_create end]
    	ARRAYED_LIST [G]
    	BOOLEAN
    	CHAIN* [G]
    	EV_ABSTRACT_PICK_AND_DROPABLE*
    	EV_ACCELERATOR
    	EV_APPLICATION_I*
    	EV_BUTTON
    	EV_CELL
    	EV_CLIPBOARD
    	EV_CONTAINER*
    	EV_DIALOG
    	EV_ENVIRONMENT
    	EV_ENVIRONMENT_IMP
    	EV_FONT
    	EV_FONT_CONSTANTS
    	EV_FRAME
    	EV_HELP_ENGINE*
    	EV_HORIZONTAL_BOX
    	EV_KEY
    	EV_KEY_CONSTANTS
    	EV_LABEL
    	EV_MENU
    	EV_MENU_ITEM
    	EV_NOTIFY_ACTION_SEQUENCE
    	EV_PIXMAP
    	EV_PND_ACTION_SEQUENCE
    	EV_POINTER_BUTTON_ACTION_SEQUENCE
    	EV_SCREEN
    	EV_SENSITIVE*
    	EV_SIMPLE_HELP_ENGINE
    	EV_STOCK_PIXMAPS
    	EV_TEXT
    	EV_VERTICAL_BOX
    	EV_WIDGET*
    	EV_WINDOW
    	EXCEPTION
    	EXCEPTIONS
    	FUNCTION [BASE_TYPE, OPEN_ARGS -> TUPLE create default_create end, RESULT_TYPE]
    	HASH_TABLE [G, H -> HASHABLE]
    	IDENTIFIED
    	INTEGER_32
    	LINEAR* [G]
    	PLAIN_TEXT_FILE
    	STD_FILES
    	STRING_8
    	STRING_GENERAL*